<?php
// Xinfeng Chen, 2002.11.11
// require_once('base_array_file.php');
// require_once('class_forum_base.php');

class CPermission extends CBaseArrayFile {
 var $user;

 function _explodeRecord($a_line){ $this->user=$a_line; }

 function _composeRecord($a_line){ $a_line=$this->user; }

 function _compareRecord($a_key){ return ($a_key==$this->user); }

 function load($a_bid){
  $fname=CForumBase::getFilePath('PERMISSION',$a_bid);
  return $this->readFile($fname);
 }

 function store($a_bid){
  $fname=CForumBase::getFilePath('PERMISSION',$a_bid);
  return $this->writeFile($fname);
 }

}
?>